////
/// Mixins
/// @group helpers
/// @author Mark de Jong
////

//Your new custom sass mixins belong here -- which output some css values via the `@include` syntax keyword
//This is where the custom theme overrides or extends existing Backbase mixins
//It is not recommended to directly override Bootstrap mixins.
//Please refer to the generated sassdocs for reusable mixins API documentations

/// EXAMPLE: Set flexbox to element
// @mixin flex {
//   display: -webkit-flex;
//   display: flex;
// }

@mixin shadow($shadow...) {
  -webkit-box-shadow: $shadow;
  -moz-box-shadow: $shadow;
  -o-box-shadow: $shadow;
  box-shadow: $shadow;
}

@mixin clipPath {
  -webkit-clip-path: ellipse(80% 90% at 80% 50%);
  clip-path: ellipse(80% 90% at 80% 50%);

  // clip-path: ellipse(80% 100% at 80% 60%);
  @media only screen and (min-height: 800px) {
    clip-path: ellipse(80% 100% at 80% 60%);
  }
}

@mixin cards() {
  &.MaestroGold {
    background: url('../#{$path-images}/nlb-debit-cards/Maestro_GOLD_2018.svg') no-repeat;
    background-size: cover;
  }

  &.MaestroClassic {
    background: url('../#{$path-images}/nlb-debit-cards/Maestro_Classic_2018.svg') no-repeat;
    background-size: cover;
  }

  &.MaestroPlatinum {
    background: url('../#{$path-images}/nlb-debit-cards/Maestro_Privatno_2018.svg') no-repeat;
    background-size: cover;
    color: white; //image background is mainly black
  }
}
